using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;
using GxPress.Entity;
using GxPress.Request.BlacklistArticle;
using Datory;

namespace GxPress.Repository.Interface
{
    public interface IBlacklistArticleRepository:IRepository
    {
        Task<bool> InsertAsync(Entity.BlacklistArticle blacklistArticle);

        Task<IEnumerable<BlacklistArticle>> GetListAsync(BlacklistArticleSearchRequest request);

        Task<BlacklistArticle> GetAsync(SqlKata.Query query);
        Task<bool> DeleteAsync(SqlKata.Query query);
    }
}
